package eventtest;

import javax.swing.*;
import java.awt.*;

public class Main extends JFrame
{
    
    /** Creates a new instance of Main */
    public Main() {
        setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        
        getContentPane().setLayout(new BorderLayout());
        
        JSlider sh=new JSlider(JSlider.HORIZONTAL,0,500,250);
        sh.setName("horz");
        getContentPane().add("South",sh);
        
        JSlider sv=new JSlider(JSlider.VERTICAL,0,500,250);
        sv.setName("vert");
        getContentPane().add("East",sv);
        
        CIS68TestPanel tp=new CIS68TestPanel(500);
        getContentPane().add("Center",tp);
        
        //
        sh.addChangeListener(tp);
        sv.addChangeListener(tp);
        
        
        
        pack();
        setVisible(true);
    }
    
    public static void main(String[] args) {
        new Main();
    }
}
