
package eventtest;

import javax.swing.*;
import java.awt.*; 
import javax.swing.event.ChangeEvent;
import javax.swing.event.ChangeListener;

public class TestPanel extends JPanel
implements ChangeListener
{
    int size;
    int x,y;
    
    public TestPanel(int s) {
        size=s;
        this.setMaximumSize(new Dimension(size,size));
        this.setMinimumSize(new Dimension(size,size));
        this.setPreferredSize(new Dimension(size,size));
        x=size/2;
        y=size/2;
    }
 
    public void paintComponent(Graphics g){
        g.setColor(Color.CYAN);
        g.fillRect(0,0,size,size);
        for (int i=0;i<10;i++){
            g.setColor(Color.RED);
            g.fillRect(x,y,20,20);
        }
    }

    public void stateChanged(ChangeEvent e) {
        JSlider s=((JSlider)e.getSource());
        String name=s.getName();
        
        
        for (int i=0;i>=0;i--){
            x=x;
            y=y;
        }
        if (name=="horz")
            x=s.getValue();
        else
            y=size-s.getValue();
        
        repaint();
    }
   
}
